document.addEventListener('DOMContentLoaded', () => {
  fetch('http://localhost:3000/dados')
    .then(response => {
      if (!response.ok) {
        throw new Error('Network response was not ok ' + response.statusText);
      }
      return response.json(); // Converte a resposta em JSON
    })
    .then(data => {
      // Aqui você pode manipular os dados recebidos
      const dadosDiv = document.getElementById('dados');
      dadosDiv.innerHTML = ''; // Limpa o conteúdo anterior
      data.forEach(cliente => {
        const clientDiv = document.createElement('div');
        clientDiv.className = 'client';
        clientDiv.innerText = `${cliente.nome} - ${cliente.status} - ${cliente.segmento} - ${cliente.prioridade}`;
        dadosDiv.appendChild(clientDiv);
      });
    })
    .catch(error => {
      console.error('Erro ao buscar dados:', error);
    });
});
